
ui = true

disable_mlock = "true"

plugin_directory = "/vault/plugin"

api_addr     = "https://vault.tips-of-mine.com:8200"
cluster_addr = "https://10.0.4.133:8201"

log_requests_level = "debug"
log_level = "debug"

storage "raft" {
  path    = "/vault/data"
  node_id = "node1"
}

listener "tcp" {
  address         = "0.0.0.0:8200"
  cluster_address = "0.0.0.0:8201"

  tls_disable              = "true"
  tls_disable_client_certs = true

  tls_client_ca_file = "/certs/ca.pem"
  tls_cert_file      = "/certs/cert.pem"
  tls_key_file       = "/certs/privkey.pem"

  x_forwarded_for_authorized_addrs = ["0.0.0.0/0"]
  telemetry {
    unauthenticated_metrics_access = "true"
  }
}

telemetry {
#  statsite_address = "127.0.0.1:8125"
  disable_hostname          = true
  prometheus_retention_time = "12h"